<?php
  
//Только друзьям
IF ($dir['PRIVATE'] == 1 && DB::GET_COLUMN("SELECT COUNT(*) FROM `FRIENDS` WHERE `USER_ID` = '".$user['ID']."' AND `MY_ID` = '".$dir['USER_ID']."' AND `ACT` = '0' LIMIT 1") == 0){
  
  ECHO "<div class='list'><center>";
  ECHO "".ICONS('lock', 50)."<br /><font size='+1'>".LG('Доступ только для друзей владельца альбома')."</font>";
  ECHO "</center></div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO $nav;
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}

//Только автору + вложения
IF ($dir['PRIVATE'] == 2 && $dir['USER_ID'] != $user['ID'] || $dir['PRIVATE'] == 3 && $dir['USER_ID'] != $user['ID']){
  
  ECHO "<div class='list'><center>";
  ECHO "".ICONS('lock', 50)."<br /><font size='+1'>".LG('Доступ только для владельца альбома')."</font>";
  ECHO "</center></div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO $nav;
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}

//По паролю
IF ($dir['PRIVATE'] == 4 && STR($dir['PASSWORD']) > 0 && $dir['USER_ID'] != $user['ID'] && !ISSET($_SESSION['DIR_PASSWORD'])){
  
  IF (POST('ok')){
    
    $password = MD5(ADSL(POST('password')));
    
    IF ($password != $dir['PASSWORD']){
      
      ERROR('Неверный пароль', 'session');
      REDIRECT('/modules/?path=music&section=users&id='.$account['ID'].'&dir='.$dir['ID'].'');
      
    }
    
    $_SESSION['DIR_PASSWORD'] = 1;

    REDIRECT('/modules/?path=music&section=users&id='.$account['ID'].'&dir='.$dir['ID'].'');
    
  }
    
  ECHO "<div class='list'><center>";
  
  ECHO "".ICONS('key', 50)."<br /><font size='+1'>".LG('Доступ только по паролю')."</font>";
  
  ECHO "</center></div>";
  
  ECHO "<div class='list'>";
  
  ECHO "<form method='post' class='form' action='/modules/?path=music&section=users&id=".$account['ID']."&dir=".$dir['ID']."'>";
  
  ECHO "<b>".LG('Пароль')."</b>:<br />";
  HTML::INPUT('password', NULL);
  
  HTML::BUTTON('btn-big ajax-button', 'ok', NULL, 'Вперед');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO $nav;
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}
  
?>